# Please keep this package in sync with FC

Name:           spice-protocol
Version:        0.14.3
Release:        %mkrel 1
Summary:        Spice protocol header files
Group:          System/Libraries
# Main headers are BSD, controller / foreign menu are LGPL
License:        BSD and LGPLv2+
URL:            https://www.spice-space.org/
Source0:        https://www.spice-space.org/download/releases/%{name}-%{version}.tar.xz
Source1:        https://www.spice-space.org/download/releases/%{name}-%{version}.tar.xz.sig
Source2:        victortoso-E37A484F.keyring

BuildArch:      noarch
BuildRequires:  gnupg2
BuildRequires:  meson

%description
Header files describing the spice protocol
and the para-virtual graphics card QXL.

%prep
gpgv2 --quiet --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%doc COPYING CHANGELOG.md
%{_includedir}/spice-1
%{_datadir}/pkgconfig/spice-protocol.pc


%changelog
* Sun Nov 29 2020 tv <tv> 0.14.3-1.mga8
+ Revision: 1650187
- 0.14.3

* Fri May 15 2020 tv <tv> 0.14.2-1.mga8
+ Revision: 1584187
- Update to 0.14.2 release (now using meson only)
- Add gpg check to release's signature

* Sat Mar 07 2020 tv <tv> 0.14.1-1.mga8
+ Revision: 1554670
- Update to 0.14.1 release

* Sun Feb 16 2020 umeabot <umeabot> 0.14.0-3.mga8
+ Revision: 1534838
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Oct 07 2019 tv <tv> 0.14.0-2.mga8
+ Revision: 1450167
- Backport clipboard-race patches (rhbz#1755038)

* Mon Apr 22 2019 tv <tv> 0.14.0-1.mga7
+ Revision: 1394757
- new release

* Wed Jan 16 2019 tv <tv> 0.12.15-1.mga7
+ Revision: 1357376
- new release

* Fri Sep 21 2018 umeabot <umeabot> 0.12.14-3.mga7
+ Revision: 1291504
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 tv <tv> 0.12.14-2.mga7
+ Revision: 1243497
- Align QXLRam to 4 bytes to avoid compilers detect misaligned access (rhbz#1565766)

* Mon Jun 11 2018 tv <tv> 0.12.14-1.mga7
+ Revision: 1236346
- new release
+ kekepower <kekepower>
- Update make macros

* Tue Jul 18 2017 tv <tv> 0.12.13-1.mga7
+ Revision: 1124728
- new release

* Fri Oct 07 2016 tv <tv> 0.12.12-1.mga6
+ Revision: 1059365
- new release

* Sat Apr 23 2016 tv <tv> 0.12.11-1.mga6
+ Revision: 1005456
- new release
- adjust license

* Thu Jan 07 2016 blino <blino> 0.12.10-2.mga6
+ Revision: 920197
- add patch from upstream ML (teuf) to fix memory barriers on ARM, as used by qemu

* Wed Nov 25 2015 fwang <fwang> 0.12.10-1.mga6
+ Revision: 905898
- 0.12.10
- sync with fedora patch

* Wed Oct 15 2014 umeabot <umeabot> 0.12.7-3.mga5
+ Revision: 745355
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12.7-2.mga5
+ Revision: 689287
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 sander85 <sander85> 0.12.7-1.mga5
+ Revision: 638315
- New version: 0.12.7

* Sat Oct 19 2013 umeabot <umeabot> 0.12.6-2.mga4
+ Revision: 530252
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 fwang <fwang> 0.12.6-1.mga4
+ Revision: 456770
- new version 0.12.6

* Tue May 28 2013 pterjan <pterjan> 0.12.5-2.mga4
+ Revision: 428996
- Add two patches from git to match what is bundeled in latest spice release

* Sun May 26 2013 ovitters <ovitters> 0.12.5-1.mga4
+ Revision: 428110
- new version 0.12.5

* Mon Jan 14 2013 umeabot <umeabot> 0.12.3-3.mga3
+ Revision: 382523
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 cjw <cjw> 0.12.3-2.mga3
+ Revision: 336343
- patch1: build with automake 1.13

* Tue Dec 25 2012 cjw <cjw> 0.12.3-1.mga3
+ Revision: 334851
- 0.12.3

* Thu Aug 09 2012 ovitters <ovitters> 0.12.0-1.mga3
+ Revision: 280269
- new version 0.12.0

* Tue May 29 2012 ovitters <ovitters> 0.10.3-1.mga3
+ Revision: 249246
- new version 0.10.3

* Wed Feb 08 2012 ovitters <ovitters> 0.10.1-1.mga2
+ Revision: 206375
- new version

* Fri Nov 25 2011 ovitters <ovitters> 0.10.0-1.mga2
+ Revision: 171849
- new version 0.10.0

* Wed Jul 20 2011 fwang <fwang> 0.8.1-1.mga2
+ Revision: 126902
- new version 0.8.1

* Thu Jun 23 2011 cjw <cjw> 0.8.0-3.mga2
+ Revision: 112684
- patch1: fix compilation errors in spice-gtk

* Thu Mar 24 2011 boklm <boklm> 0.8.0-2.mga1
+ Revision: 76211
- rebuild for bug #497

* Mon Mar 07 2011 saispo <saispo> 0.8.0-1.mga1
+ Revision: 66083
- imported package spice-protocol

